Index: /inundation/ga/storm_surge/pyvolution/test_mesh.py
===================================================================
--- /inundation/ga/storm_surge/pyvolution/test_mesh.py	(revision 1017)
+++ /inundation/ga/storm_surge/pyvolution/test_mesh.py	(revision 1018)
@@ -12,10 +12,10 @@
 
 def distance(x, y):
-    return sqrt( sum( (array(x)-array(y))**2 ))		
-        
-class TestCase(unittest.TestCase):
+    return sqrt( sum( (array(x)-array(y))**2 ))
+
+class Test_Mesh(unittest.TestCase):
     def setUp(self):
         pass
-        
+
     def tearDown(self):
         pass
@@ -32,6 +32,6 @@
             msg = 'Should have raised exception'
             raise msg
-        
-        
+
+
     def test_basic_triangle(self):
 
@@ -39,8 +39,8 @@
         b = [4.0, 0.0]
         c = [0.0, 3.0]
-        
+
         points = [a, b, c]
         vertices = [[0,1,2]]
-        mesh = Mesh(points, vertices) 
+        mesh = Mesh(points, vertices)
 
         #Centroid
@@ -57,10 +57,10 @@
         assert allclose(normals[0, 0:2], [3.0/5, 4.0/5])
         assert allclose(normals[0, 2:4], [-1.0, 0.0])
-        assert allclose(normals[0, 4:6], [0.0, -1.0])        
+        assert allclose(normals[0, 4:6], [0.0, -1.0])
 
         assert allclose(mesh.get_normal(0,0), [3.0/5, 4.0/5])
         assert allclose(mesh.get_normal(0,1), [-1.0, 0.0])
-        assert allclose(mesh.get_normal(0,2), [0.0, -1.0])                
-        
+        assert allclose(mesh.get_normal(0,2), [0.0, -1.0])
+
         #Edge lengths
         assert allclose(mesh.edgelengths[0], [5.0, 3.0, 4.0])
@@ -78,5 +78,5 @@
 
         V2 = mesh.get_vertex_coordinate(0, 2)
-        assert allclose(V2, [0.0, 3.0])                
+        assert allclose(V2, [0.0, 3.0])
 
 
@@ -86,10 +86,10 @@
         mesh.check_integrity()
 
-        
+
         #Test that the centroid is located 2/3 of the way
         #from each vertex to the midpoint of the opposite side
 
         V = mesh.get_vertex_coordinates()
-        
+
         x0 = V[0,0]
         y0 = V[0,1]
@@ -98,5 +98,5 @@
         x2 = V[0,4]
         y2 = V[0,5]
-        
+
         m0 = [(x1 + x2)/2, (y1 + y2)/2]
         m1 = [(x0 + x2)/2, (y0 + y2)/2]
@@ -108,21 +108,21 @@
         #
         d0 = distance(centroid, [x1, y1])
-        d1 = distance(m1, [x1, y1])        
+        d1 = distance(m1, [x1, y1])
         assert abs(d0 - 2*d1/3) < epsilon, '%e, %e' %(d0, 2*d1/3)
 
         d0 = distance(centroid, [x2, y2])
         d1 = distance(m2, [x2, y2])
-        assert abs(d0 - 2*d1/3) < epsilon, '%e, %e' %(d0, 2*d1/3)        
-        
+        assert abs(d0 - 2*d1/3) < epsilon, '%e, %e' %(d0, 2*d1/3)
+
         #Radius
         d0 = distance(centroid, m0)
         assert d0 == 5.0/6
-        
+
         d1 = distance(centroid, m1)
-        assert d1 == sqrt(73.0/36)        
-
-        d2 = distance(centroid, m2)        
-        assert d2 == sqrt(13.0/9)        
-        
+        assert d1 == sqrt(73.0/36)
+
+        d2 = distance(centroid, m2)
+        assert d2 == sqrt(13.0/9)
+
         assert mesh.radii[0] == min(d0, d1, d2)
         assert mesh.radii[0] == 5.0/6
@@ -134,10 +134,10 @@
         vertices = [[0,3,2], [2,3,1], [1,3,0]]
         new_mesh = Mesh(points, vertices)
-        
+
         assert new_mesh.areas[0] == new_mesh.areas[1]
-        assert new_mesh.areas[1] == new_mesh.areas[2]        
-        assert new_mesh.areas[1] == new_mesh.areas[2]        
-
-        assert new_mesh.areas[1] == mesh.areas[0]/3        
+        assert new_mesh.areas[1] == new_mesh.areas[2]
+        assert new_mesh.areas[1] == new_mesh.areas[2]
+
+        assert new_mesh.areas[1] == mesh.areas[0]/3
 
 
@@ -151,13 +151,13 @@
         vertices = [[0,1,2]]
 
-        mesh = Mesh(points, vertices) 
+        mesh = Mesh(points, vertices)
         centroid = mesh.centroid_coordinates[0]
 
-        
+
         #Test that the centroid is located 2/3 of the way
         #from each vertex to the midpoint of the opposite side
 
         V = mesh.get_vertex_coordinates()
-        
+
         x0 = V[0,0]
         y0 = V[0,1]
@@ -166,5 +166,5 @@
         x2 = V[0,4]
         y2 = V[0,5]
-        
+
         m0 = [(x1 + x2)/2, (y1 + y2)/2]
         m1 = [(x0 + x2)/2, (y0 + y2)/2]
@@ -176,15 +176,15 @@
         #
         d0 = distance(centroid, [x1, y1])
-        d1 = distance(m1, [x1, y1])        
+        d1 = distance(m1, [x1, y1])
         assert abs(d0 - 2*d1/3) < epsilon, '%e, %e' %(d0, 2*d1/3)
 
         d0 = distance(centroid, [x2, y2])
         d1 = distance(m2, [x2, y2])
-        assert abs(d0 - 2*d1/3) < epsilon, '%e, %e' %(d0, 2*d1/3)        
-        
+        assert abs(d0 - 2*d1/3) < epsilon, '%e, %e' %(d0, 2*d1/3)
+
         #Radius
         d0 = distance(centroid, m0)
         d1 = distance(centroid, m1)
-        d2 = distance(centroid, m2)        
+        d2 = distance(centroid, m2)
         assert mesh.radii[0] == min(d0, d1, d2)
 
@@ -197,11 +197,11 @@
         vertices = [[0,3,2], [2,3,1], [1,3,0]]
         new_mesh = Mesh(points, vertices)
-        
+
         assert new_mesh.areas[0] == new_mesh.areas[1]
-        assert new_mesh.areas[1] == new_mesh.areas[2]        
-        assert new_mesh.areas[1] == new_mesh.areas[2]        
-
-        assert new_mesh.areas[1] == mesh.areas[0]/3        
-        
+        assert new_mesh.areas[1] == new_mesh.areas[2]
+        assert new_mesh.areas[1] == new_mesh.areas[2]
+
+        assert new_mesh.areas[1] == mesh.areas[0]/3
+
 
         #Test that points are arranged in a counter clock wise order
@@ -217,19 +217,19 @@
         e = [2.0, 2.0]
         points = [a, b, c, e]
-        vertices = [ [1,0,2], [1,2,3] ]   #bac, bce 
+        vertices = [ [1,0,2], [1,2,3] ]   #bac, bce
         mesh = Mesh(points, vertices)
-        
+
         assert mesh.areas[0] == 2.0
 
-        assert allclose(mesh.centroid_coordinates[0], [2.0/3, 2.0/3])        
+        assert allclose(mesh.centroid_coordinates[0], [2.0/3, 2.0/3])
 
 
         #Test that points are arranged in a counter clock wise order
-        mesh.check_integrity()        
-
-
-            
+        mesh.check_integrity()
+
+
+
     def test_more_triangles(self):
-        
+
         a = [0.0, 0.0]
         b = [0.0, 2.0]
@@ -240,10 +240,10 @@
 
         points = [a, b, c, d, e, f]
-        #bac, bce, ecf, dbe, daf, dae 
+        #bac, bce, ecf, dbe, daf, dae
         vertices = [ [1,0,2], [1,2,4], [4,2,5], [3,1,4], [3,0,5], [3,0,4]]
-        mesh = Mesh(points, vertices)        
+        mesh = Mesh(points, vertices)
 
         #Test that points are arranged in a counter clock wise order
-        mesh.check_integrity()        
+        mesh.check_integrity()
 
         assert mesh.areas[0] == 2.0
@@ -252,6 +252,6 @@
         assert mesh.areas[3] == 2.0
         assert mesh.areas[4] == 8.0
-        assert mesh.areas[5] == 4.0                                
-        
+        assert mesh.areas[5] == 4.0
+
         assert mesh.edgelengths[1,0] == 2.0
         assert mesh.edgelengths[1,1] == 2.0
@@ -259,7 +259,7 @@
 
         assert allclose(mesh.centroid_coordinates[0], [2.0/3, 2.0/3])
-        assert allclose(mesh.centroid_coordinates[1], [4.0/3, 4.0/3]) 
+        assert allclose(mesh.centroid_coordinates[1], [4.0/3, 4.0/3])
         assert allclose(mesh.centroid_coordinates[2], [8.0/3, 2.0/3])
-        assert allclose(mesh.centroid_coordinates[3], [2.0/3, 8.0/3])         
+        assert allclose(mesh.centroid_coordinates[3], [2.0/3, 8.0/3])
 
 
@@ -278,5 +278,5 @@
         vertices = [ [1,0,2], [1,2,4], [4,2,5], [3,1,4] ]
         mesh = Mesh(points, vertices)
-        
+
         mesh.check_integrity()
 
@@ -284,11 +284,11 @@
         T = mesh
         tid = 0
-        assert T.number_of_boundaries[tid] == 2    
+        assert T.number_of_boundaries[tid] == 2
         assert T.neighbours[tid, 0] < 0  #Opposite point b (0,2)
         assert T.neighbours[tid, 1] == 1 #Opposite point a (0,0)
-        assert T.neighbours[tid, 2] < 0  #Opposite point c (2,0)        
+        assert T.neighbours[tid, 2] < 0  #Opposite point c (2,0)
 
         tid = 1
-        assert T.number_of_boundaries[tid] == 0            
+        assert T.number_of_boundaries[tid] == 0
         assert T.neighbours[tid, 0] == 2  #Opposite point b (0,2)
         assert T.neighbours[tid, 1] == 3  #Opposite point c (2,0)
@@ -296,11 +296,11 @@
 
         tid = 2
-        assert T.number_of_boundaries[tid] == 2            
+        assert T.number_of_boundaries[tid] == 2
         assert T.neighbours[tid, 0] < 0   #Opposite point e (2,2)
         assert T.neighbours[tid, 1] < 0   #Opposite point c (2,0)
-        assert T.neighbours[tid, 2] == 1  #Opposite point f (4,0)        
+        assert T.neighbours[tid, 2] == 1  #Opposite point f (4,0)
 
         tid = 3
-        assert T.number_of_boundaries[tid] == 2            
+        assert T.number_of_boundaries[tid] == 2
         assert T.neighbours[tid, 0] == 1  #Opposite point d (0,4)
         assert T.neighbours[tid, 1] < 0   #Opposite point b (0,3)
@@ -311,22 +311,22 @@
         assert T.neighbour_edges[tid, 0] < 0  #Opposite point b (0,2)
         assert T.neighbour_edges[tid, 1] == 2 #Opposite point a (0,0)
-        assert T.neighbour_edges[tid, 2] < 0  #Opposite point c (2,0)        
-
-        tid = 1        
+        assert T.neighbour_edges[tid, 2] < 0  #Opposite point c (2,0)
+
+        tid = 1
         assert T.neighbour_edges[tid, 0] == 2 #Opposite point b (0,2)
         assert T.neighbour_edges[tid, 1] == 0 #Opposite point c (2,0)
         assert T.neighbour_edges[tid, 2] == 1 #Opposite point e (2,2)
 
-        tid = 2        
+        tid = 2
         assert T.neighbour_edges[tid, 0] < 0  #Opposite point e (2,2)
         assert T.neighbour_edges[tid, 1] < 0  #Opposite point c (2,0)
-        assert T.neighbour_edges[tid, 2] == 0 #Opposite point f (4,0)        
-
-        tid = 3        
+        assert T.neighbour_edges[tid, 2] == 0 #Opposite point f (4,0)
+
+        tid = 3
         assert T.neighbour_edges[tid, 0] == 1 #Opposite point d (0,4)
         assert T.neighbour_edges[tid, 1] < 0  #Opposite point b (0,3)
         assert T.neighbour_edges[tid, 2] < 0  #Opposite point e (2,2)
 
-        
+
     def test_rectangular_mesh_basic(self):
         M=1
@@ -336,5 +336,5 @@
 	mesh = Mesh(points, vertices, boundary)
 
-        #Test that points are arranged in a counter clock wise order        
+        #Test that points are arranged in a counter clock wise order
         mesh.check_integrity()
 
@@ -343,21 +343,21 @@
         points, vertices, boundary = rectangular(M, N)
 	mesh = Mesh(points, vertices, boundary)
-	
-        #Test that points are arranged in a counter clock wise order        
+
+        #Test that points are arranged in a counter clock wise order
         mesh.check_integrity()
 
         #assert mesh.boundary[(7,1)] == 2 # top
         assert mesh.boundary[(7,1)] == 'top' # top
-        assert mesh.boundary[(3,1)] == 'top' # top                
-
-        
+        assert mesh.boundary[(3,1)] == 'top' # top
+
+
     def test_boundary_tags(self):
-        
+
 
         points, vertices, boundary = rectangular(4, 4)
 	mesh = Mesh(points, vertices, boundary)
-	
-
-        #Test that points are arranged in a counter clock wise order        
+
+
+        #Test that points are arranged in a counter clock wise order
         mesh.check_integrity()
 
@@ -369,6 +369,6 @@
 
         for k in [24, 26, 28, 30]:
-            assert mesh.boundary[(k,2)] == 'right'            
-            
+            assert mesh.boundary[(k,2)] == 'right'
+
         for k in [7, 15, 23, 31]:
             assert mesh.boundary[(k,1)] == 'top'
@@ -377,5 +377,5 @@
 
 
-        
+
     def test_rectangular_mesh(self):
         M=4
@@ -383,9 +383,9 @@
         len1 = 100.0
         len2 = 17.0
-	
+
         points, vertices, boundary = rectangular(M, N, len1, len2)
 	mesh = Mesh(points, vertices, boundary)
 
-        assert len(mesh) == 2*M*N        
+        assert len(mesh) == 2*M*N
 
         for i in range(len(mesh)):
@@ -396,7 +396,7 @@
             assert mesh.edgelengths[i, 1] == len1/M #x direction
             assert mesh.edgelengths[i, 2] == len2/N #y direction
-            
-        #Test that points are arranged in a counter clock wise order      
-        mesh.check_integrity()    
+
+        #Test that points are arranged in a counter clock wise order
+        mesh.check_integrity()
 
 
@@ -404,5 +404,5 @@
         #Check that integers don't cause trouble
         N = 16
-	
+
         points, vertices, boundary = rectangular(2*N, N, len1=10, len2=10)
 	mesh = Mesh(points, vertices, boundary)
@@ -422,5 +422,5 @@
         #bac, bce, ecf, dbe
         vertices = [ [1,0,2], [1,2,4], [4,2,5], [3,1,4] ]
-        mesh = Mesh(points, vertices)        
+        mesh = Mesh(points, vertices)
         mesh.check_integrity()
 
@@ -428,11 +428,11 @@
         T = mesh
         tid = 0
-        assert T.number_of_boundaries[tid] == 2    
-        assert T.surrogate_neighbours[tid, 0] == tid 
-        assert T.surrogate_neighbours[tid, 1] == 1   
-        assert T.surrogate_neighbours[tid, 2] == tid 
+        assert T.number_of_boundaries[tid] == 2
+        assert T.surrogate_neighbours[tid, 0] == tid
+        assert T.surrogate_neighbours[tid, 1] == 1
+        assert T.surrogate_neighbours[tid, 2] == tid
 
         tid = 1
-        assert T.number_of_boundaries[tid] == 0            
+        assert T.number_of_boundaries[tid] == 0
         assert T.surrogate_neighbours[tid, 0] == 2
         assert T.surrogate_neighbours[tid, 1] == 3
@@ -440,12 +440,12 @@
 
         tid = 2
-        assert T.number_of_boundaries[tid] == 2            
-        assert T.surrogate_neighbours[tid, 0] == tid 
-        assert T.surrogate_neighbours[tid, 1] == tid 
+        assert T.number_of_boundaries[tid] == 2
+        assert T.surrogate_neighbours[tid, 0] == tid
+        assert T.surrogate_neighbours[tid, 1] == tid
         assert T.surrogate_neighbours[tid, 2] == 1
 
         tid = 3
-        assert T.number_of_boundaries[tid] == 2            
-        assert T.surrogate_neighbours[tid, 0] == 1 
+        assert T.number_of_boundaries[tid] == 2
+        assert T.surrogate_neighbours[tid, 0] == 1
         assert T.surrogate_neighbours[tid, 1] == tid
         assert T.surrogate_neighbours[tid, 2] == tid
@@ -470,13 +470,13 @@
                      (2, 1): 'Fourth',
                      (3, 1): 'Fifth',
-                     (3, 2): 'Sixth'}                                         
-                     
-        
-        mesh = Mesh(points, vertices, boundary)        
+                     (3, 2): 'Sixth'}
+
+
+        mesh = Mesh(points, vertices, boundary)
         mesh.check_integrity()
 
 
         #Check enumeration
-        #for k, (vol_id, edge_id) in enumerate(mesh.boundary_segments):        
+        #for k, (vol_id, edge_id) in enumerate(mesh.boundary_segments):
         #    b = -k-1
         #    assert mesh.neighbours[vol_id, edge_id] == b
@@ -502,8 +502,8 @@
                      (2, 1): 'Fourth',
                      #(3, 1): 'Fifth',  #Skip this
-                     (3, 2): 'Sixth'}                                         
-                     
-        
-        mesh = Mesh(points, vertices, boundary)        
+                     (3, 2): 'Sixth'}
+
+
+        mesh = Mesh(points, vertices, boundary)
         mesh.check_integrity()
 
@@ -513,5 +513,5 @@
 
         #Check enumeration
-        #for k, (vol_id, edge_id) in enumerate(mesh.boundary_segments):        
+        #for k, (vol_id, edge_id) in enumerate(mesh.boundary_segments):
         #    b = -k-1
         #    assert mesh.neighbours[vol_id, edge_id] == b
@@ -535,8 +535,8 @@
                      (2, 1): 'Fourth',
                      #(3, 1): 'Fifth',  #Skip this
-                     (3, 2): 'Sixth'}                                         
-                     
-        
-        mesh = Mesh(points, vertices) #, boundary)        
+                     (3, 2): 'Sixth'}
+
+
+        mesh = Mesh(points, vertices) #, boundary)
         mesh.check_integrity()
 
@@ -545,11 +545,11 @@
         assert mesh.boundary[ (0, 2) ] == default_boundary_tag
         assert mesh.boundary[ (2, 0) ] == default_boundary_tag
-        assert mesh.boundary[ (2, 1) ] == default_boundary_tag                
+        assert mesh.boundary[ (2, 1) ] == default_boundary_tag
         assert mesh.boundary[ (3, 1) ] == default_boundary_tag
-        assert mesh.boundary[ (3, 2) ] == default_boundary_tag                
+        assert mesh.boundary[ (3, 2) ] == default_boundary_tag
 
 
         #Check enumeration
-        #for k, (vol_id, edge_id) in enumerate(mesh.boundary_segments):        
+        #for k, (vol_id, edge_id) in enumerate(mesh.boundary_segments):
         #    b = -k-1
         #    assert mesh.neighbours[vol_id, edge_id] == b
@@ -575,5 +575,5 @@
         #Too few points
         try:
-            mesh = Mesh([points[0]], vertices)        
+            mesh = Mesh([points[0]], vertices)
         except AssertionError:
             pass
@@ -583,13 +583,5 @@
         #Too few points - 1 element
         try:
-            mesh = Mesh([points[0]], [vertices[0]])        
-        except AssertionError:
-            pass
-        else:
-            raise 'Should have raised an exception'        
-        
-        #Wrong dimension of vertices
-        try:
-            mesh = Mesh(points, vertices[0])        
+            mesh = Mesh([points[0]], [vertices[0]])
         except AssertionError:
             pass
@@ -597,7 +589,15 @@
             raise 'Should have raised an exception'
 
+        #Wrong dimension of vertices
+        try:
+            mesh = Mesh(points, vertices[0])
+        except AssertionError:
+            pass
+        else:
+            raise 'Should have raised an exception'
+
         #Unsubscriptable coordinates object raises exception
         try:
-            mesh = Mesh(points[0], [vertices[0]])        
+            mesh = Mesh(points[0], [vertices[0]])
         except AssertionError:
             pass
@@ -610,5 +610,5 @@
         #Not specifying all boundary tags
         #try:
-        #    mesh = Mesh(points, vertices, {(3,0): 'x'})        
+        #    mesh = Mesh(points, vertices, {(3,0): 'x'})
         #except AssertionError:
         #    pass
@@ -618,5 +618,5 @@
         #Specifying wrong non existing segment
         try:
-            mesh = Mesh(points, vertices, {(5,0): 'x'})        
+            mesh = Mesh(points, vertices, {(5,0): 'x'})
         except AssertionError:
             pass
@@ -634,5 +634,5 @@
         from shallow_water import Domain
         from Numeric import zeros, Float
-        
+
         #Create basic mesh
         points, vertices, boundary = rectangular(1, 3)
@@ -648,5 +648,5 @@
                                                  'all':[0,1,2,3,4,5]})
 
-        
+
     def test_boundary_polygon(self):
         from mesh_factory import rectangular
@@ -654,9 +654,9 @@
         from Numeric import zeros, Float
         from util import inside_polygon
-        
+
         #Create basic mesh
         points, vertices, boundary = rectangular(2, 2)
         mesh = Mesh(points, vertices, boundary)
-        
+
 
         P = mesh.get_boundary_polygon()
@@ -668,5 +668,5 @@
         for p in points:
             #print p, P
-            assert inside_polygon(p, P) 
+            assert inside_polygon(p, P)
 
 
@@ -675,5 +675,5 @@
         from Numeric import zeros, Float
         from util import inside_polygon
-        
+
         #Points
         a = [0.0, 0.0] #0
@@ -695,7 +695,7 @@
 
         mesh = Mesh(points, vertices)
-        
-        mesh.check_integrity()
-        
+
+        mesh.check_integrity()
+
         P = mesh.get_boundary_polygon()
 
@@ -705,5 +705,5 @@
         for p in points:
             #print p, P
-            assert inside_polygon(p, P) 
+            assert inside_polygon(p, P)
 
 
@@ -711,9 +711,9 @@
         """Same as II but vertices ordered differently
         """
-        
+
         from mesh import Mesh
         from Numeric import zeros, Float
         from util import inside_polygon
-        
+
         #Points
         a = [0.0, 0.0] #0
@@ -738,5 +738,5 @@
         mesh.check_integrity()
 
-        
+
         P = mesh.get_boundary_polygon()
 
@@ -745,17 +745,16 @@
 
         for p in points:
-            assert inside_polygon(p, P) 
-
-
-        
+            assert inside_polygon(p, P)
+
+
+
 #-------------------------------------------------------------
 if __name__ == "__main__":
-    suite = unittest.makeSuite(TestCase,'test')
+    suite = unittest.makeSuite(Test_Mesh,'test')
     runner = unittest.TextTestRunner()
     runner.run(suite)
 
-    
-    
-
-
-
+
+
+
+
Index: /inundation/ga/storm_surge/pyvolution/test_pmesh2domain.py
===================================================================
--- /inundation/ga/storm_surge/pyvolution/test_pmesh2domain.py	(revision 1017)
+++ /inundation/ga/storm_surge/pyvolution/test_pmesh2domain.py	(revision 1018)
@@ -23,17 +23,17 @@
      Transmissive_boundary
 
-        
-class TestCase(unittest.TestCase):
+
+class Test_pmesh2domain(unittest.TestCase):
 
     def setUp(self):
         pass
-        
+
     def tearDown(self):
         pass
-               
+
     def test_pmesh2Domain(self):
          import os
          import tempfile
-       
+
          fileName = tempfile.mktemp(".tsh")
          file = open(fileName,"w")
@@ -66,5 +66,5 @@
 0 # <x> <y> <attribute>...Mesh Regions... \n")
          file.close()
-       
+
          tags = {}
          b1 =  Dirichlet_boundary(conserved_quantities = array([0.0]))
@@ -74,15 +74,15 @@
          tags["2"] = b2
          tags["3"] = b3
-         
+
          domain = pmesh_to_domain_instance(fileName, Domain)
          os.remove(fileName)
 
-         ## check the quantities       
+         ## check the quantities
          #print domain.quantities['elevation'].vertex_values
          answer = [[0., 8., 0.],
                    [0., 10., 8.]]
          assert allclose(domain.quantities['elevation'].vertex_values,
-                        answer) 
-         
+                        answer)
+
          #print domain.quantities['stage'].vertex_values
          answer = [[0., 12., 10.],
@@ -90,5 +90,5 @@
          assert allclose(domain.quantities['stage'].vertex_values,
                         answer)
-         
+
          #print domain.quantities['friction'].vertex_values
          answer = [[0.01, 0.04, 0.03],
@@ -100,5 +100,5 @@
          assert allclose(domain.tagged_elements['dsg'][0],0)
          assert allclose(domain.tagged_elements['ole nielsen'][0],1)
-         
+
          self.failUnless( domain.boundary[(1, 0)]  == '1',
                           "test_tags_to_boundaries  failed. Single boundary wasn't added.")
@@ -123,7 +123,7 @@
          meshDict['triangle_tags'] = [6.6,6.6]
          meshDict['triangle_neighbors'] = [[-1,-1,1],[-1,0,-1]]
-         meshDict['segments'] = [[1,0],[0,2],[2,3],[3,1]] 
+         meshDict['segments'] = [[1,0],[0,2],[2,3],[3,1]]
          meshDict['segment_tags'] = [2,3,1,1]
-       
+
          domain = Domain.pmesh_dictionary_to_domain(meshDict)
 
@@ -143,12 +143,12 @@
          boundary_value = Boundary_value.instances[id]
          boundary_obj = boundary_value.boundary_object
-         
+
          self.failUnless( boundary_obj  == b1,
                           "test_tags_to_boundaries  failed. Single boundary wasn't added.")
-         
+
          inverted_id = Volume.instances[0].neighbours[1]
          id = -(inverted_id+1)
          boundary_value = Boundary_value.instances[id]
-         boundary_obj = boundary_value.boundary_object   
+         boundary_obj = boundary_value.boundary_object
          self.failUnless( boundary_obj  == b3,
                           "test_tags_to_boundaries  failed. Single boundary wasn't added.")
@@ -156,11 +156,10 @@
 #-------------------------------------------------------------
 if __name__ == "__main__":
-    suite = unittest.makeSuite(TestCase, 'test')
+    suite = unittest.makeSuite(Test_pmesh2domain, 'test')
     runner = unittest.TextTestRunner()
     runner.run(suite)
-    
-
-    
 
 
 
+
+
Index: /inundation/ga/storm_surge/pyvolution/test_quad.py
===================================================================
--- /inundation/ga/storm_surge/pyvolution/test_quad.py	(revision 1017)
+++ /inundation/ga/storm_surge/pyvolution/test_quad.py	(revision 1018)
@@ -9,9 +9,9 @@
 #-------------------------------------------------------------
 
-class TestCase(unittest.TestCase):
+class Test_Quad(unittest.TestCase):
 
     def setUp(self):
         self.cell = Cell(100, 140, 0, 40, 'cell')
-        
+
         a = [3, 107]
         b = [5, 107]
@@ -24,11 +24,11 @@
 
         points = [a, b, c, d, e, f, g, h]
-        #bac, bce, ecf, dbe, daf, dae 
-        vertices = [[1,0,2], [1,3,4], [1,2,3], [5,4,7], [4,6,7]] 
+        #bac, bce, ecf, dbe, daf, dae
+        vertices = [[1,0,2], [1,3,4], [1,2,3], [5,4,7], [4,6,7]]
 
 	mesh = Mesh(points, vertices)
         self.mesh = mesh
         Cell.initialise(mesh)
-        
+
     def tearDown(self):
         pass
@@ -37,16 +37,16 @@
         self.cell.insert(0)
         self.cell.insert(1)
-        
+
         result = self.cell.retrieve()
         assert type(result) in [types.ListType,types.TupleType],\
-                                'should be a list'        
+                                'should be a list'
         self.assertEqual(len(result),2)
-        
+
     def test_add_points_2_cellII(self):
         self.cell.insert([0,1,2,3,4,5,6,7])
-        
+
         result = self.cell.retrieve()
         assert type(result) in [types.ListType,types.TupleType],\
-	                        'should be a list'        
+	                        'should be a list'
         self.assertEqual(len(result),8)
 
@@ -55,35 +55,35 @@
         self.cell.insert([0,1,2,3,4,5,6,7])
 	self.cell.split(4)
-        
+
         result =  self.cell.search(x = 1, y = 101)
         assert type(result) in [types.ListType,types.TupleType],\
-	                        'should be a list'        
+	                        'should be a list'
         self.assertEqual(result, [0,1,2,3])
-	
-	
+
+
     def test_clear_1(self):
         self.cell.insert([0,1,2,3,4,5,6,7])
-	assert self.cell.count() == 8	
+	assert self.cell.count() == 8
 	self.cell.clear()
-	
+
         #This one actually revealed a bug :-)
-	assert self.cell.count() == 0	
-		
+	assert self.cell.count() == 0
+
     def test_clear_2(self):
         self.cell.insert([0,1,2,3,4,5,6,7])
-	assert self.cell.count() == 8	
+	assert self.cell.count() == 8
 	self.cell.split(2)
-	assert self.cell.count() == 8		
-		
+	assert self.cell.count() == 8
+
 	self.cell.clear()
-	assert self.cell.count() == 0	
-	
-	
-	
+	assert self.cell.count() == 0
+
+
+
     def test_split(self):
-        self.cell.insert([0,1,2,3,4,5,6,7], split = False)    
-        
+        self.cell.insert([0,1,2,3,4,5,6,7], split = False)
+
 	#No children yet
-	assert self.cell.children is None 
+	assert self.cell.children is None
 	assert self.cell.count() == 8
 
@@ -92,28 +92,28 @@
 	#self.cell.show()
 	#self.cell.show_all()
-	
-	
+
+
 	#Now there are children
-	assert self.cell.children is not None 
-	assert self.cell.count() == 8	
-	
-	
-		
+	assert self.cell.children is not None
+	assert self.cell.count() == 8
+
+
+
     def test_collapse(self):
-        self.cell.insert([0,1,2,3,4,5,6,7], split = False)    
-        
+        self.cell.insert([0,1,2,3,4,5,6,7], split = False)
+
         #Split maximally
 	self.cell.split(1)
-	
+
 	#Now there are children
-	assert self.cell.children is not None 
-	assert self.cell.count() == 8	
-	
+	assert self.cell.children is not None
+	assert self.cell.count() == 8
+
 	#Collapse
 	self.cell.collapse(8)
-	
+
 	#No children
-	assert self.cell.children is None 
-	assert self.cell.count() == 8	
+	assert self.cell.children is None
+	assert self.cell.count() == 8
 
     def test_build_quadtree(self):
@@ -123,5 +123,5 @@
 
         #Q.show()
-        
+
         result = Q.search(3, 105)
         assert type(result) in [types.ListType,types.TupleType],\
@@ -130,9 +130,9 @@
         self.assertEqual(result, [0,1,2,3])
 
-     
+
     def test_build_quadtreeII(self):
 
         self.cell = Cell(100, 140, 0, 40, 'cell')
-        
+
         p0 = [34.6292076111,-7999.92529297]
         p1 = [8000.0, 7999.0]
@@ -141,5 +141,5 @@
 
         points = [p0,p1,p2, p3]
-        #bac, bce, ecf, dbe, daf, dae 
+        #bac, bce, ecf, dbe, daf, dae
         vertices = [[0,1,2],[0,2,3]]
 
@@ -148,10 +148,9 @@
         #This was causing round off error
         Q = build_quadtree(mesh)
-        
+
 #-------------------------------------------------------------
 if __name__ == "__main__":
 
-    mysuite = unittest.makeSuite(TestCase,'test')
+    mysuite = unittest.makeSuite(Test_Sparse,'test')
     runner = unittest.TextTestRunner()
     runner.run(mysuite)
-
